<?php if ( ! defined( 'ABSPATH' ) ) exit; ?>

<div class="wrap">
    <div class="row">
        <div class="col-md-7">
            <form method="post" action="options.php">
                <div class="panel panel-primary">
                    <div class="panel-heading">
                        <h3 class="panel-title">Main Settings</h3>
                    </div>
                    <div class="panel-body">
                        <?php
                            settings_fields("section-optimize-image");
                            do_settings_sections("wto-images-options");
                            submit_button();
                        ?>
                        <input type="button" id="generate_button" style="background-color:green;border-color:green;" value="Generate List" class="btn btn-primary"/>
                    </div>
                </div>
                
                <div id="progressbar" style="display:none;"></div>

                <input type="hidden" id="size_hidden" name="size_hidden" value="<?php echo get_option('wto_to_optimize_app_size');?>" />
                <input id="path_hidden_url" name="path_hidden_url" type="hidden" value="<?php echo plugins_url( '/', __FILE__ );?>" />
                
                <div id="message_inprogress" style="display:none;font-weight:bold;color:#337ab7;">In progress! Please wait, this could take some minutes... Thanks for your patience!</div>
                <div id="message_success" style="display:none;font-weight:bold;color:red;">Task Completed! Please check out the list</div>

            </form>
        </div>
    </div>

    <div id="list_of_files"></div>

     <script>
        jQuery( function() {
            jQuery( "#progressbar" ).progressbar({
              value: false
            });
        });
    </script>


</div>